aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJohanna Äijälä <johanna.aijala@qt.io>2021-01-25 13:04:06 +0200
committerQt Cherry-pick Bot <cherrypick_bot@qt-project.org>2021-02-02 15:23:28 +0000
commite29f1bb96bbb618e4ca4f818fb5686d17906e874 (patch)
tree1c81640fd18879010ec14fdc8ee8993ce6d542cf
parenta80e52c26d8422bea10860502bf24ef1229d3ff0 (diff)
Provisioning: Update Squish for Qt6
These are snapshot packages from Froglogic, not available for macOS yet, thus it will still use Qt5.15 based Squish. Only Linux and Win packages are updated now. Along with the Squish for Qt6 we need the Squish for Qt5 to be able to run Creator tests (since Creator is still Qt5 based). Change-Id: Iec0294e1de036db004633ee6b95e1e68a6dd23a5 Reviewed-by: Qt CI Bot <qt_ci_bot@qt-project.org> Reviewed-by: Heikki Halmet <heikki.halmet@qt.io> (cherry picked from commit d86303a561a0179003802b9591ae8b7690033d16) Reviewed-by: Qt Cherry-pick Bot <cherrypick_bot@qt-project.org>
-rwxr-xr-xcoin/provisioning/common/unix/squishInstall.sh44
-rw-r--r--coin/provisioning/common/windows/squishInstall.ps18
2 files changed, 35 insertions, 17 deletions
diff --git a/coin/provisioning/common/unix/squishInstall.sh b/coin/provisioning/common/unix/squishInstall.sh
index bce68549..a189ea87 100755
--- a/coin/provisioning/common/unix/squishInstall.sh
+++ b/coin/provisioning/common/unix/squishInstall.sh
@@ -41,19 +41,20 @@ set -ex
# This script will fetch and extract pre-buildt squish package for Linux and Mac.
# Squish is need by Release Test Automation (RTA)
-version="6.6.1"
-qtBranch="515x"
+version="6.7-20210119-1632"
+qtBranch="60x"
installFolder="/opt"
squishFolder="$installFolder/squish"
preBuildCacheUrl="ci-files01-hki.intra.qt.io:/hdd/www/input/squish/jenkins_build/stable"
-licenseUrl="http://ci-files01-hki.intra.qt.io/input/squish/coin/$qtBranch/.squish-3-license"
+licenseUrl="http://ci-files01-hki.intra.qt.io/input/squish/coin/515x/.squish-3-license"
licenseSHA="e000d2f95b30b82f405b9dcbeb233cd43710a41a"
if uname -a |grep -q Darwin; then
- compressedFolder="prebuild-squish-$version-$qtBranch-macx86_64.tar.gz"
+ version="6.6.1"
+ compressedFolder="prebuild-squish-$version-515x-macx86_64.tar.gz"
sha1="9fff9a7cb037214d21f47f2cc53747885fd1f2ae"
else
compressedFolder="prebuild-squish-$version-$qtBranch-linux64.tar.gz"
- sha1="3a50052caafa3ca583b7edf754227999d7185ffa"
+ sha1="8780665c3560456cd86980802cb24513233444fe"
fi
mountFolder="/tmp/squish"
@@ -96,7 +97,8 @@ sudo mv "$installFolder/rta_squish_$version" "$squishFolder"
if uname -a |grep -q "Ubuntu"; then
if [ ! -e "/usr/lib/tcl8.6" ]; then
sudo mkdir /usr/lib/tcl8.6
- sudo cp "$squishFolder/squish_for_qt/tcl/lib/tcl8.6/init.tcl" /usr/lib/tcl8.6/
+ #this needs to be copied only to squish_for_qt6
+ sudo cp "$squishFolder/squish_for_qt6/tcl/lib/tcl8.6/init.tcl" /usr/lib/tcl8.6/
fi
fi
@@ -108,18 +110,34 @@ sudo chown qt:$usersGroup "$HOME/.squish-3-license"
echo "Set commands for environment variables in .bashrc"
if uname -a |grep -q "Ubuntu"; then
- echo "export SQUISH_PATH=$squishFolder/squish_for_qt" >> ~/.profile
- echo "export PATH=\$PATH:$squishFolder/squish_for_qt/bin" >> ~/.profile
+ echo "export SQUISH_PATH=$squishFolder/squish_for_qt6" >> ~/.profile
+ echo "export PATH=\$PATH:$squishFolder/squish_for_qt6/bin" >> ~/.profile
else
echo "export SQUISH_PATH=$squishFolder/squish_for_qt" >> ~/.bashrc
echo "export PATH=\$PATH:$squishFolder/squish_for_qt/bin" >> ~/.bashrc
fi
-echo "Verifying Squish"
-if "$squishFolder/squish_for_qt/bin/squishrunner" --testsuite "$squishFolder/suite_test_squish" | grep "Squish test run successfully" ; then
- echo "Squish for Qt installation tested successfully"
+echo "Verifying Squish, available installations:"
+ls -la $squishFolder
+if uname -a |grep -q Darwin; then
+ if "$squishFolder/squish_for_qt/bin/squishrunner" --testsuite "$squishFolder/suite_test_squish" | grep "Squish test run successfully" ; then
+ echo "Squish for Qt installation tested successfully"
+ else
+ echo "Squish for Qt test failed! Package wasn't installed correctly."
+ exit 1
+ fi
else
- echo "Squish for Qt test failed! Package wasn't installed correctly."
- exit 1
+ if "$squishFolder/squish_for_qt5/bin/squishrunner" --testsuite "$squishFolder/suite_test_squish" | grep "Squish test run successfully" ; then
+ echo "Squish for Qt5 installation tested successfully"
+ else
+ echo "Squish for Qt5 test failed! Package wasn't installed correctly."
+ exit 1
+ fi
+ if "$squishFolder/squish_for_qt6/bin/squishrunner" --testsuite "$squishFolder/suite_test_squish" | grep "Squish test run successfully" ; then
+ echo "Squish for Qt6 installation tested successfully"
+ else
+ echo "Squish for Qt6 test failed! Package wasn't installed correctly."
+ exit 1
+ fi
fi
diff --git a/coin/provisioning/common/windows/squishInstall.ps1 b/coin/provisioning/common/windows/squishInstall.ps1
index c615f9eb..dbd6da16 100644
--- a/coin/provisioning/common/windows/squishInstall.ps1
+++ b/coin/provisioning/common/windows/squishInstall.ps1
@@ -36,12 +36,12 @@
# This script will pre-installed squish package for Windows.
# Squish is need by Release Test Automation (RTA)
-$version = "6.6.1"
-$qtBranch = "515x"
+$version = "6.7-20210112-1612"
+$qtBranch = "60x"
$targetDir = "C:\Utils\squish"
$squishPackage = "C:\Utils\rta_squish"
$squishUrl = "\\ci-files01-hki.intra.qt.io\provisioning\squish\jenkins_build\stable"
-$licenseUrl = "\\ci-files01-hki.intra.qt.io\provisioning\squish\coin"
+$licenseUrl = "\\ci-files01-hki.intra.qt.io\provisioning\squish\coin\515x"
# Squish license
$licensePackage = ".squish-3-license"
@@ -60,7 +60,7 @@ $OSVersion = (get-itemproperty -Path "HKLM:\SOFTWARE\Microsoft\Windows NT\Curren
if ($OSVersion -eq "Windows 10 Enterprise") {
$winVersion = "win10"
if (Is64BitWinHost) {
- $sha1 = "17b5bec83f448877e42e5effdc7daf723d157800"
+ $sha1 = "628bb65cf515d08df388b0dc4d5b403e4c6657b2"
} else {
$sha1 = "9c0fc186605522ac0ac11066c10c3f3e8a95a705"
#Remove special handling when all packages are in same dir, exception now for win10 x86->the archive had to be rebuild